<?php
/**
 *  Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Pet Care Zone
 */

$pet_care_zone_single_post_thumb =  get_theme_mod( 'pet_care_zone_single_post_thumb', 1 );
$pet_care_zone_single_post_title = get_theme_mod( 'pet_care_zone_single_post_title', 1 );
$pet_care_zone_single_post_cat = get_theme_mod( 'pet_care_zone_single_post_cat', 1 );

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <header class="entry-header">
        <?php if( $pet_care_zone_single_post_title == 1 ) {?>
           <?php the_title('<h2 class="entry-title">', '</h2>'); ?>
         <?php }?>
         <?php if( $pet_care_zone_single_post_thumb == 1 ) {?>
            <?php if(has_post_thumbnail()) {?>
                <hr>
                <?php the_post_thumbnail(); ?>
            <?php }?>
        <?php }?>
    </header>
    <div class="entry-content">
        <?php
        the_content(sprintf(
            wp_kses(
            /* translators: %s: Name of current post. Only visible to screen readers */
                __('Continue reading<span class="screen-reader-text"> "%s"</span>', 'pet-care-zone'),
                array(
                    'span' => array(
                        'class' => array(),
                    ),
                )
            ),
            esc_html( get_the_title() )
        ));

        wp_link_pages(array(
            'before' => '<div class="page-links">' . esc_html__('Pages:', 'pet-care-zone'),
            'after' => '</div>',
        ));
        ?>
    </div>
    <?php if( $pet_care_zone_single_post_cat == 1 ) {?>
        <footer class="entry-footer">
            <?php pet_care_zone_entry_footer(); ?>
        </footer>
    <?php }?>
</article>